ここから本文です

Ruby on Railsのことで質問です。 最近Railsを勉強をし始めて色々いじっいて、c...

アバター

ID非公開さん

2017/11/1822:34:31

Ruby on Railsのことで質問です。

最近Railsを勉強をし始めて色々いじっいて、cmdでrails sを実行しようとしたところ、エラーが起きて、以下の文が表示されました。

C:/Ruby23-x64/lib/ruby/site_ruby/2.3.0/rubygems.rb:291:in `find_spec_for_exe': can't find gem rails (>= 0.a) with executable rails (Gem::GemNotFoundException)
from C:/Ruby23-x64/lib/ruby/site_ruby/2.3.0/rubygems.rb:310:in `activate_bin_path'
from C:/Ruby23-x64/bin/rails:23:in `<main>'

グーグルで調べても解決法が分からなかったので、質問しました。
ちなみに、環境は

Windows10
Ruby 2.3.3
rails 5.1.7

です。
よろしくお願いいたします。

閲覧数:
48
回答数:
1
お礼:
500枚

違反報告

ベストアンサーに選ばれた回答

プロフィール画像

カテゴリマスター

cd6********さん

2017/11/1905:22:04

メッセージに
can't find gem rails (>= 0.a) with executable rails
とあるので Gemfile 中でバージョンを誤って設定しているのでは。

あわせて知りたい

みんなで作る知恵袋 悩みや疑問、なんでも気軽にきいちゃおう!

Q&Aをキーワードで検索:

Yahoo! JAPANは、回答に記載された内容の信ぴょう性、正確性を保証しておりません。
お客様自身の責任と判断で、ご利用ください。
本文はここまでです このページの先頭へ

「追加する」ボタンを押してください。

閉じる

※知恵コレクションに追加された質問は選択されたID/ニックネームのMy知恵袋で確認できます。

不適切な投稿でないことを報告しました。

閉じる